aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorcristinapauna <cristina.pauna@enea.com>2016-11-08 15:58:41 +0200
committerjose.lausuch <jose.lausuch@ericsson.com>2016-11-10 18:07:12 +0100
commit50d031f04dadf1d2aa334184b6a2d6d25cec2acc (patch)
treeeb0e64c0e194fce19b85a9abd113980e70441887
parent2b1313c15909a7a709f9836c32003b809ce323b0 (diff)
Make the healthcheck sleep time configurable
The healthcheck test has a 1 min sleep that gives time to the odl flows to get programmed. This time depends on the config, and it was noticed that on bgpvpn scenarios on arm more than one minute is needed for the config to be properly set. This patch makes the waiting time configurable, so it can be overriden it when ran on arm or on varios scenarios. Change-Id: Iebef892137ca3926e5732c910a358c15a32b5bef Signed-off-by: cristinapauna <cristina.pauna@enea.com>
-rw-r--r--functest/ci/config_functest.yaml1
-rwxr-xr-xfunctest/opnfv_tests/OpenStack/healthcheck/healthcheck.sh3
2 files changed, 3 insertions, 1 deletions
diff --git a/functest/ci/config_functest.yaml b/functest/ci/config_functest.yaml
index cca4959a..de019486 100644
--- a/functest/ci/config_functest.yaml
+++ b/functest/ci/config_functest.yaml
@@ -56,6 +56,7 @@ general:
healthcheck:
disk_image: /home/opnfv/functest/data/cirros-0.3.4-x86_64-disk.img
disk_format: qcow2
+ wait_time: 60
vping:
ping_timeout: 200
diff --git a/functest/opnfv_tests/OpenStack/healthcheck/healthcheck.sh b/functest/opnfv_tests/OpenStack/healthcheck/healthcheck.sh
index 996aadcf..e27cf4b4 100755
--- a/functest/opnfv_tests/OpenStack/healthcheck/healthcheck.sh
+++ b/functest/opnfv_tests/OpenStack/healthcheck/healthcheck.sh
@@ -223,7 +223,8 @@ info "Testing Nova API..."
# This delay should be removed after resolving Jira case APEX-149.
# The purpose is to give some time to populate openflow rules
# by SDN controller in case of odl_l2 scenario.
-sleep 60
+wait_time=$(cat ${YAML_FILE} | shyaml get-value healthcheck.wait_time 2> /dev/null || true)
+sleep ${wait_time}
# Check if flavor exists